Skip to main content
GET
/
resources
/
currencies
/
{currency_code}
Get a specific currency
curl --request GET \
  --url https://api.mycreditapp.ai/v1-beta/resources/currencies/{currency_code} \
  --header 'Authorization: Bearer <token>'
{
  "code": "<string>",
  "symbol": "<string>",
  "name": "<string>",
  "symbol_native": "<string>",
  "decimal_digits": 123,
  "rounding": 123,
  "name_plural": "<string>",
  "priority": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Path Parameters

currency_code
string
required

Three-letter ISO 4217 currency code

Required string length: 3
Examples:

"USD"

"EUR"

Response

Successful Response

code
string
required

Three-letter ISO 4217 currency code

Required string length: 3
Examples:

"USD"

"EUR"

symbol
string
required

Commonly used symbol representing the currency

Required string length: 1 - 10
Examples:

"$"

"€"

name
string
required

Full name of the currency in singular form

Required string length: 1 - 50
Examples:

"US Dollar"

"Euro"

symbol_native
string
required

Currency symbol used in the currency’s native locale

Required string length: 1 - 10
Examples:

"$"

"€"

decimal_digits
integer
required

Number of decimal places typically used when formatting amounts

Examples:

2

3

rounding
number
required

Rounding increment used for pricing in this currency

Examples:

0

1

name_plural
string
required

Plural form of the currency name

Required string length: 1 - 50
Examples:

"US dollars"

"euros"

priority
integer
required

Sort precedence of the currency, where lower values indicate higher priority

Required range: x >= 0
Examples:

0

1